@charset "utf-8";
/*------ recet ------*/
#roblox ul {
  margin: 0;
}
#roblox li:before {
  content: "";
}
#roblox img {
  width: 100%;
}
/*------ common ------*/
#roblox .pc {
  display: inline;
}
#roblox .sp {
  display: none;
}
#roblox {
  --bg-color: #e9e9e9;
  --grey-color: #929294;
  --red-color: #b91a1f;
  --light-red-color: #ff0000;
  --yellow-color: #e9bd12;
  --light-yellow-color: #ffa500;
  --roblox-font-family: "Oswald", sans-serif;
  --roblox-font-optical-sizing: auto;
  --roblox-font-weight: 700;
  --roblox-font-style: normal;
}
/*--------------- font ---------------*/
#roblox h2 {
  font-size: min(10vw, 60px);
  text-align: center;
  line-height: 1.5;
  font-family: var(--roblox-font-family);
  font-optical-sizing: var(--roblox-font-optical-sizing);
  font-weight: var(--roblox-font-weight);
  font-style: var(--roblox-font-style);
  color: #000000;
}
#roblox h3 {
  font-size: min(8vw, 50px);
  text-align: center;
  line-height: 1.5;
  font-family: var(--roblox-font-family);
  font-optical-sizing: var(--roblox-font-optical-sizing);
  font-weight: var(--roblox-font-weight);
  font-style: var(--roblox-font-style);
  color: #000000;
}
#roblox h4 {
  font-size: min(7vw, 30px);
  text-align: center;
  line-height: 1.5;
  font-family: var(--roblox-font-family);
  font-optical-sizing: var(--roblox-font-optical-sizing);
  font-weight: var(--roblox-font-weight);
  font-style: var(--roblox-font-style);
  color: #000000;
}
#roblox :where(p, li, dt, dd) {
  font-size: min(4.0vw, 18px);
  line-height: 1.8;
  margin-bottom: 1em;
  color: #000000;
}
#roblox a {
  color: #000000;
  text-decoration: none;
}
#roblox .title h2 {
  padding: 0;
}
#roblox .title p {
  font-weight: bold;
  font-size: clamp(20px, 5vw, 30px);
  letter-spacing: 1em;
  padding-left: 1em;
  color: var(--red-color);
  text-align: center;
}
#roblox .note {
  font-size: min(4.0vw, 14px);
}
/*--------------- btn ---------------*/
#roblox .button:has(.roblox-btn.cmp-button) {
  max-width: 300px;
}
#roblox .roblox-btn.cmp-button {
  position: relative;
  color: #ffffff;
  cursor: pointer;
  font-weight: bold;
  border-style: double;
  border-width: 3px;
  border-color: var(--red-color);
  font-size: 18px;
  font-family: var(--roblox-font-family);
  min-width: auto;
  width: 100%;
  min-height: 80px;
  transition: .3s ease-out;
}
#roblox .roblox-btn.cmp-button:before {
  position: absolute;
  content: "";
  display: inline-block;
  top: -8px;
  left: -8px;
  width: 20%;
  height: 100%;
  border: 1px var(--red-color);
  border-left-style: solid;
  border-top-style: solid;
}
#roblox .roblox-btn.cmp-button:after {
  position: absolute;
  content: "";
  display: inline-block;
  right: -8px;
  bottom: -8px;
  width: 20%;
  height: 100%;
  border: 1px var(--red-color);
  border-right-style: solid;
  border-bottom-style: solid;
}
#roblox .roblox-btn.cmp-button:hover {
  background-color: #000000;
  border-color: var(--light-red-color);
  background-image: radial-gradient(var(--light-red-color), #000000 50%);
}
#roblox .roblox-btn.yellow.cmp-button {
  border-color: var(--yellow-color);
}
#roblox .roblox-btn.yellow.cmp-button:before, #roblox .roblox-btn.yellow.cmp-button:after {
  border-color: var(--yellow-color);
}
#roblox .roblox-btn.yellow.cmp-button:hover {
  border-color: var(--light-yellow-color);
  background-image: radial-gradient(var(--light-yellow-color), #000000 50%);
}
/*--------------- bg ---------------*/
.switch-container:has(>#roblox-bg) {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: var(--bg-color);
  z-index: -1;
}
#roblox-bg {
  width: 100%;
  height: 100%;
  background-image: url(/content/dam/casio/global/watch/g_shock/virtual/roblox/img/bg-code.png);
  background-size: 600px;
  opacity: .2;
}
/*--------------- hero ---------------*/
#hero {
  position: relative;
}
/*--------------- about ---------------*/
#roblox #about {
  position: relative;
  text-align: center;
  background: var(--bg-color);
    overflow: hidden;    
}
#roblox #about::before {
  content: "";
  position: absolute;
  inset: -100%;
  background: linear-gradient(rgb(173 173 173 / 50%) 1px, transparent 1px), linear-gradient(90deg, rgb(173 173 173 / 50%) 1px, transparent 1px);
  background-size: 30px 30px;
  transform: perspective(700px) rotateX(80deg) scale(1);
  will-change: transform;
  backface-visibility: hidden;
  animation: gridMove 8s linear infinite;
  -webkit-mask-image: linear-gradient(to bottom, transparent 0%, transparent 50%, black 100%);
  mask-image: linear-gradient(to bottom, transparent 0%, transparent 50%, black 100%);
}
#roblox #about > .aem-Grid > .container {
  position: relative;
}
#roblox #about > .aem-Grid > .container::before {
  content: "";
  position: absolute;
  width: 360px;
  height: 300px;
  top: 30%;
  left: -20px;
  background-image: url(/content/dam/casio/global/watch/g_shock/virtual/roblox/img/bg-hexagonal-left.svg);
  background-size: cover;
  background-repeat: no-repeat;
    opacity: .5;
}
#roblox #about > .aem-Grid > .container::after {
  content: "";
  width: 358px;
  height: 300px;
  position: absolute;
  top: 40%;
  right: -20px;
  background-image: url(/content/dam/casio/global/watch/g_shock/virtual/roblox/img/bg-hexagonal-right.svg);
  background-size: cover;
  background-repeat: no-repeat;
    opacity: .5;    
}
#about-inner {
  position: relative;
  width: 90%;
  max-width: 1500px;
  margin: min(10vw, 100px) auto;
}
#roblox h1 {
  padding: 0;
  text-align: center;
  width: 100%;
  margin-bottom: 20px;
}
#roblox #about__lead p {
  font-size: clamp(20px, 5vw, 30px);
  line-height: 1.5;
  text-shadow: 0px 0px 4px var(--bg-color), 0px 0px 6px var(--bg-color), 0px 0px 8px var(--bg-color), 0px 0px 10px var(--bg-color), 0px 0px 4px var(--bg-color), 0px 0px 6px var(--bg-color), 0px 0px 8px var(--bg-color), 0px 0px 10px var(--bg-color);
}
#roblox #about__lead p.strong {
  font-size: clamp(20px, 8vw, 46px);
  font-weight: bold;
}
@keyframes gridMove {
  from {
    transform: perspective(700px) rotateX(80deg) scale(1) translateY(0);
  }
  to {
    transform: perspective(700px) rotateX(80deg) scale(1) translateY(60px);
  }
}
#youtube-thumb {
  display: none; /* 動画か来たら非表示をなくす */
  margin: 0 auto 50px;
}
#about__btn-grp {
  max-width: 700px;
  margin: 0 auto 100px;
}
#about__btn-grp > .aem-Grid {
  display: flex;
  gap: 50px;
  justify-content: space-between;
}
#about__btn-grp > .aem-Grid::before, #about__btn-grp > .aem-Grid::after {
  display: none;
  content: none;
}
#about__news .news-grp {
  display: flex;
  gap: 20px;
}
#about__news {
  max-width: 900px;
  margin: 0 auto;
  padding: 30px;
  background-color: var(--bg-color);
  background-image: url(/content/dam/casio/global/watch/g_shock/virtual/roblox/img/frame-news-pc.svg);
  background-size: 92%;
  background-repeat: no-repeat;
  background-position: center;
}
#about__news .aem-Grid:has(>.text) {
  display: flex;
  justify-content: center;
  flex-direction: column;
  align-items: center;
}
#about__news .text {
  max-width: 700px;
}
#about__news h2 {
  font-size: min(8vw, 30px);
  padding: 0;
  text-align: left;
}
#about__news p.news-contents {
  text-align: left;
}
#about__news .news-container {
  overflow-y: scroll;
  height: 100px;
  margin-top: 10px;
}
#about__news .news-grp p {
  margin-bottom: 10px;
}
/*--------------- item ---------------*/
#item {
  position: relative;
  background-image: linear-gradient(to bottom, var(--bg-color) 10%, transparent 20%);
  overflow: hidden;
}
#item::after {
  position: absolute;
  content: "";
  top: 43%;
  right: -900px;
  width: 900px;
  aspect-ratio: 1;
  background-image: url(/content/dam/casio/global/watch/g_shock/virtual/roblox/img/bg-circle.png);
  background-size: cover;
  animation: bgRotate 40s linear infinite;
  z-index: -1;
}
@keyframes bgRotate {
  0% {
    transform: translate(-50%, -50%) rotate(0);
  }
  100% {
    transform: translate(-50%, -50%) rotate(360deg);
  }
}
#item #item-title {
  position: relative;
  padding: 80px 0 40px;
}
#item #item-title::before {
  content: "";
  position: absolute;
  background-image: url(/content/dam/casio/global/watch/g_shock/virtual/roblox/img/bg-item-top.svg);
  width: 1920px;
  height: 100%;
  top: 20px;
  left: 50%;
  transform: translateX(-50%);
  background-size: 100%;
  background-repeat: no-repeat;
}
#item #item-title > .aem-Grid {
  position: relative;
  background: var(--bg-color);
  width: fit-content;
  margin-inline: auto;
  padding: 0 20px;
}
#item #item-lead {
  width: 90%;
  text-align: center;
  margin: 0 auto 50px;
}
#item-lead p {
  font-size: min(4.5vw, 22px);
}
#item [id*="item-contents"] {
  max-width: 1200px;
  width: 90%;
  margin: 50px auto 150px;
  border: 100px solid transparent;
  border-image-source: url(/content/dam/casio/global/watch/g_shock/virtual/roblox/img/frame2.svg);
  border-image-slice: 400 fill;
  border-image-repeat: stretch;
  border-image-width: 1;
  box-shadow: 0 0 20px 20px #e9e9e900;
  background-color: #e9e9e900;
  backdrop-filter: blur(2px);
}
#item [id*="item-contents"] h3 {
  position: relative;
  width: fit-content;
  padding: 0;
  margin: 0 auto 20px;
}
#item [id*="item-contents"] h3 .bg-title {
  background: #000000;
  position: relative;
  color: #ffffff;
  padding: 0 1.1em 4px;
  clip-path: polygon(20px 0%, calc(100% - 20px) 0%, 100% 50%, calc(100% - 20px) 100%, 20px 100%, 0% 50%);
}
#item #item-contents-other h3 {
  font-size: min(6vw, 40px);
}
#item #item-contents-other h3 .bg-title {
  padding: 10px 40px;
}
#item [id*="item-contents"] h3::before, #item [id*="item-contents"] h3::after {
  content: "";
  display: inline-block;
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  left: calc(100% + 10px);
  background-image: url(/content/dam/casio/global/watch/g_shock/virtual/roblox/img/border-title.svg);
  width: min(20vw, 100%);
  height: 10px;
  background-repeat: no-repeat;
  background-size: 100%;
}
#item [id*="item-contents"] h3::after {
  left: auto;
  right: calc(100% + 10px);
}
a.link-watch {
  display: flex;
  flex-direction: column;
  align-items: center;
}
.link-watch h4 {
  text-decoration: none;
  width: fit-content;
  display: inline-block;
  padding-bottom: 4px;
  background-image: linear-gradient(to right, var(--red-color), var(--red-color));
  background-repeat: no-repeat;
  background-position: bottom right;
  background-size: 0% 2px;
  transition: background-size 0.3s ease;
}
.link-watch:hover h4 {
  background-position: bottom left;
  background-size: 100% 2px;
}
#item [id*="item-image-grp"] {
  margin-top: 30px;
}
#item [id*="item-image-grp"] > .aem-Grid {
  display: flex;
  gap: 100px;
  justify-content: center;
  align-items: center;
}
#item [id*="item-image-grp"] > .aem-Grid::before, #item [id*="item-image-grp"] > .aem-Grid::after {
  display: none;
  content: none;
}
#item [id*="item-image-grp"] > .aem-Grid > .container:nth-child(1) {
  width: 60%;
}
#item [id*="item-image-grp"] > .aem-Grid > .container:nth-child(2) {
  width: calc(40% - 100px);
}
#item [id*="wear-image"] > .aem-Grid {
  display: grid;
  gap: 40px 20px;
  grid-template-columns: repeat(2, 1fr);
  align-items: start;
}
#item [id*="wear-image"] > .aem-Grid > .image,#item #item-image-grp-other > .aem-Grid > .image {
  box-shadow: 6px 7px 0 0 #000000;
}
#item [id*="wear-image"] > .aem-Grid > .image:nth-of-type(1) {
  grid-column: 1 / 3;
  grid-row: 1 / 1;
}
#item [id*="wear-image"] > .aem-Grid::before, [id*="wear-image"] > .aem-Grid::after {
  display: none;
  content: none;
}
#item [id*="watch-image"] {
  position: relative;
}
#item #wear-image-other > .aem-Grid {
  display: flex;
  gap: 20px;
}
#item #item-contents-other {
  border: 80px solid transparent;
  border-image-source: url(/content/dam/casio/global/watch/g_shock/virtual/roblox/img/frame3.svg);
  border-image-slice: 270 fill;
  border-image-repeat: stretch;
  border-image-width: 1;
  margin-bottom: 0px;
}
#item #item-image-grp-other > .aem-Grid {
  gap: 30px;
}
#item #item-all-btn {
  margin: 100px 0 150px;
}
#item #item-all-btn > .aem-Grid {
  display: flex;
  flex-direction: column;
  align-items: center;
}
/*--------------- world ---------------*/
#world {
  position: relative;
  padding: min(10vw, 100px) 0;
  background: #000000;
}
#world::before {
  content: "";
  position: absolute;
  top: -20px;
  left: 0;
  background-image: url(/content/dam/casio/global/watch/g_shock/virtual/roblox/img/frame4.svg);
  background-repeat: repeat-x;
  height: 100px;
  width: 100%;
  background-size: 500px;
}
#world h2, #world h3, #world p {
  color: #ffffff
}
#world-lead {
  width: 90%;
  margin: 50px auto 0;
}
#world-lead p {
  text-align: center;
  font-size: clamp(14px, 4.5vw, 20px);
  font-weight: bold;
}
#world-image-grp > .aem-Grid {
  width: 90%;
  margin: 50px auto;
  display: grid;
  justify-content: center;
  grid-template-columns: 30% 24% 1fr 30%;
  gap: 10px;
}
#world-image-grp > .aem-Grid * {
  height: 100%;
}
#world-image-grp img {
  object-fit: cover;
}
/* --- 1行目 --- */
#world-image-grp > .aem-Grid > .image:nth-child(1) {
  grid-column: 1 / 3;
}
#world-image-grp > .aem-Grid > .image:nth-child(2) {
  grid-column: 3 / 5;
}
/* --- 2行目 --- */
#world-image-grp > .aem-Grid > .image:nth-child(3) {
  grid-column: 1 / 2;
}
#world-image-grp > .aem-Grid > .image:nth-child(4) {
  grid-column: 2 / 4;
}
#world-image-grp > .aem-Grid > .image:nth-child(5) {
  grid-column: 4 / 5;
}
#world-image-grp > .aem-Grid::before, #world-image-grp > .aem-Grid::after {
  content: none;
  display: none;
}
/* --- world-effects  --- */
#world-effects {
  width: 90%;
  margin: clamp(40px, 10vw, 100px) auto 0;
}
#world-effects-image {
  max-width: 800px;
  margin-inline: auto;
  text-align: center;
}
#world-effects-image > .aem-Grid::before, #world-effects-image > .aem-Grid::after {
  content: none;
  display: none;
}
#world-effects-lead h3 {
  font-size: 30px;
}

/* --- 画像が来たら、解除  --- */
#world-effects-image .image{
  display: none;
}
/* --- roblox-play-btn  --- */
#roblox-play-btn-container {
  text-align: center;
  padding: 100px 0;
}
#roblox-play-btn-container > .aem-Grid {
  display: flex;
  flex-direction: column;
  align-items: center;
}
#roblox-play-btn-container h2 {
  font-size: min(8vw, 50px);
}
#roblox-play-btn-container .text {
  margin-top: 20px;
}
#roblox-play-btn-container p.note {
  margin: 0;
}
/* --- btn  --- */
#roblox-play-btn-container .play-link-btn {
  position: relative;
  display: inline-block;
  background-color: #000000;
  padding: 20px 100px;
  max-width: 500px;
  margin: 0 auto;
  border-radius: 20px;
  overflow: hidden;
  transition: .2s ease-out;
}
#roblox-play-btn-container .play-link-btn:hover {
  transform: translateY(-10px);
}
#roblox-play-btn-container .play-link-btn::after {
  content: '';
  position: absolute;
  top: 0;
  left: -150%;
  width: 100%;
  height: 100%;
  background: linear-gradient(to right, rgba(255, 255, 255, 0) 0%, rgba(255, 255, 255, 0.9) 47%, rgba(255, 255, 255, 0.9) 53%, rgba(255, 255, 255, 0) 100%);
  transform: skewX(-25deg);
  transition: transform 1.0s ease-in-out;
  will-change: transform;
}
#roblox-play-btn-container .play-link-btn:hover::after {
  transform: translateX(250%) skewX(-25deg);
}
#roblox-play-btn-container .play-link-btn p {
  color: #ffffff;
  font-weight: bold;
  margin: 0;
  font-size: 20px;
  letter-spacing: .2em;
  padding-left: .2em;
  position: relative;
  width: fit-content;
  margin-inline: auto;
}
#roblox-play-btn-container .play-link-btn p::after {
  content: "→";
  display: inline-block;
  position: absolute;
  left: calc(100% + .5em);
  top: 50%;
  transform: translateY(-50%);
  color: var(--red-color);
}
/* マウス */
#custom-cursor {
  display: none;
}
@media (min-width: 768px) {
  #custom-cursor {
    display: block; /* ここで表示する */
    position: fixed;
    top: 0;
    left: 0;
    pointer-events: none; /* 画像が邪魔でリンクがクリックできなくなるのを防ぐ */
    z-index: 1; /* 常に最前面に表示 */
    transform: translate(-50%, -50%); /* 画像の中心がマウスの先端に合うように調整 */
    transition: transform 0.1s ease-out, filter 0.3s ease-out; /* ★これを入れると少し遅れて滑らかに追従する */
    width: 30px;
    aspect-ratio: 1;
    animation: bgRotate 40s linear infinite;
  }
  #custom-cursor.is-active {
    filter: brightness(0) invert(1);
  }
}
#virtual_link p, #virtual_link a {
  color: #ffffff;
}
@media (max-width: 767px) {
  /*------ common ------*/
  #roblox .pc {
    display: none;
  }
  #roblox .sp {
    display: inline;
  }
  /*--------------- font ---------------*/
  #roblox h2 {
    text-align: center;
  }
  /*--------------- about ---------------*/

  #roblox #about::before {
    background: linear-gradient(rgb(173 173 173 / 50%) 1px, transparent 1px), linear-gradient(90deg, rgb(173 173 173 / 50%) 1px, transparent 1px);
    background-size: 3vw 3vw;
  }
#roblox #about > .aem-Grid > .container::before ,#roblox #about > .aem-Grid > .container::after {
  content: none;
}
  #roblox h1 {
    padding: 0;
    text-align: center;
    width: 90%;
    margin: 0 auto 10vw;
  }
  #about__btn-grp > .aem-Grid {
    display: flex;
    flex-direction: column;
    align-items: center;
  }
  #about__news {
    width: 100%;
    padding: 5vw;
    background-image: url(/content/dam/casio/global/watch/g_shock/virtual/roblox/img/frame-news-sp.svg);
    background-size: 98%;
  }
  #about__news .news-container {
    height: 200px;
  }
  #about__news .news-grp p {
    font-size: min(3.7vw, 18px);
  }
  /*--------------- item ---------------*/
  #item::after {
    top: 48%;
    right: -80vw;
    width: 80vw;
  }
  #item #item-title {
    position: relative;
    padding: 80px 0 0;
  }
  #item #item-title::before {
    width: 100%;
  }
  #item [id*="item-contents"] {
    margin: 10vw auto;
    width: 95%;
    border-width: 10vw;
    border-image-slice: 40% fill;
    border-image-width: 2;
  }
  #item [id*="item-contents"] h3::before, #item [id*="item-contents"] h3::after {
    content: none;
    display: none;
  }
  #item [id*="wear-image"] > .aem-Grid {
    display: grid;
    gap: 10px;
  }
  #item [id*="wear-image"] > .aem-Grid > .image {
    box-shadow: 2px 2px 0 2px #000000;
  }
  #item [id*="item-image-grp"] {
    margin-top: 0;
  }
  #item [id*="item-image-grp"] > .aem-Grid {
    display: flex;
    gap: 20px;
    align-items: center;
    flex-direction: column-reverse;
  }
  #item [id*="item-image-grp"] > .aem-Grid > .container:nth-child(1) {
    width: 90%;
  }
  #item [id*="item-image-grp"] > .aem-Grid > .container:nth-child(2) {
    width: 70%;
  }
  #item #item-contents-other {
    border-width: 6vw;
    border-image-slice: 40% fill;
    border-image-width: 4;
  }
  #item #item-image-grp-other > .aem-Grid {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 10px;
  }
  /*--------------- world ---------------*/
  #world-lead {
    margin-top: 0px;
  }
  #world-image-grp > .aem-Grid {
    margin: 50px auto;
    display: grid;
    justify-content: center;
    grid-template-columns: 1fr 1fr;
    gap: 10px;
  }
  #world-image-grp > .aem-Grid > .image:nth-child(1) {
    grid-column: 1 / 3;
  }
  #world-image-grp > .aem-Grid > .image:nth-child(2), #world-image-grp > .aem-Grid > .image:nth-child(4) {
    grid-column: 1 / 2;
  }
  #world-image-grp > .aem-Grid > .image:nth-child(3), #world-image-grp > .aem-Grid > .image:nth-child(5) {
    grid-column: 2 / 3;
  }
  #world-effects-image > .aem-Grid {
    display: flex;
    flex-direction: column;
  }
  /*--------------- roblox-play-btn ---------------*/
  #roblox-play-btn-container {
    padding: 10vw 5vw;
  }
}